Subject: bug#12436: 24.2.50; rename `(next|previous)-multiframe-window'

From: Eli Zaretskii <[email-masked]>
Date: Thu, 31 Oct 2019 16:05:46 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 30 Oct 2019 23:30:53 +0100
> Cc: [email-masked]
> 
> >> Rename these commands and deprecate the old names.  There is no such
> >> thing as a multiframe window, which would mean a window on more than one
> >> frame.  These commands should be called something like:
> >> `(next|previous)-window-any-frame'.
> >
> > I agree.  Any objections?  There does not seem to be many users of these
> > functions:
> >
> > ./frame.el:522:(defun next-multiframe-window ()
> > ./frame.el:530:(defun previous-multiframe-window ()
> > ./term/ns-win.el:105:(define-key global-map [?\s-'] 'next-multiframe-window)

They are commands, not functions.  So counting the number of their
calls in the code is not an objective method of estimating their
popularity.

> Makes sense to me.  Any objections to the below patch?

I don't object, although I do wonder what could be the point of
renaming commands which were known under these names for the last
28(!) years.  Given their age, perhaps consider not obsoleting the old
names: who knows whether someone out there has these names burned into
their muscle memory?

Thanks.